Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Name:		lilypond
Version:	2.10.33
Release:	3
Provides:	%{name}
License:	GNU/GPL 
URL:		http://lilypond.org/web/
Group:		Multimedia
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	music notation for everyone
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  guile-devel
BuildRequires:  gettext
BuildRequires:  libstdc++-devel
BuildRequires:  perl
BuildRequires:  python
BuildRequires:  glib-devel
BuildRequires:  gmp-devel
BuildRequires:  libtool-devel
BuildRequires:  pango-devel
BuildRequires:  zlib-devel
BuildRequires:  mftrace

%description
LilyPond is an automated engraving system. It formats music beautifully and automatically, and has a friendly syntax for its input files. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
export LADSPA_PATH=/usr/lib/ladspa
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS
./autogen.sh --noconfigure	
./configure --prefix=%_prefix --mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir
%_infodir/lilypond
%_datadir/emacs
%_datadir/lilypond
%_datadir/locale
%_datadir/omf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.10.33-3
- rebuilt against libstdc++ 1:4.1.2
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.33-2
- rebuilt against libtool 1.5.24
* Fri Nov 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.33-1
- Version update
* Tue Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.14-1
- Version update
* Tue Oct 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.8.7-1
- Initial Release
